Seznam dodavatelů zdrojů

GET /api/v1/energies

Vrací hierarchii společností dodávajících zdroje.

Parametry dotazu

page integer

Číslo stránky.

Pole odpovědi

AtributPopis
idIdentifikátor (jedinečný klíč) dodavatele zdrojů v systému
nameNázev dodavatele zdrojů
childrenPole poboček a/nebo středisek
dataPole vrácených dat
total_pagesCelkový počet stránek ve vrácené sadě
current_pageAktuální stránka
next_pageDalší stránka dostupná ke stažení, null, pokud je aktuální stránka poslední

Požadavek

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: api-user@example.com" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://api.vadsro.eu/api/v1/energies?page=1"

Odpověď

json
{"data":[
  {
    "id": 1,
    "name": "Example Gas Distribution",
    "children": [
      { "id": 2, "name": "Example Gas Distribution North", "children": [] },
      { "id": 3, "name": "Example Gas Distribution South", "children": [] }
    ]
  },
  ...
  ],
  "total_pages": 8,
  "current_page": 1,
  "next_page": 2
}
Naposledy aktualizováno

Byla tato stránka užitečná?